Bug 850714 - Command "db-control backup" stops with perl error
Command "db-control backup" stops with perl error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Matej Kollar
: Regression
Depends On:
Blocks: sat550-blockers
  Show dependency treegraph
 
Reported: 2012-08-22 04:25 EDT by Matej Kollar
Modified: 2013-03-18 10:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-web-1.7.28-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:19:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Kollar 2012-08-22 04:25:27 EDT
Description of problem:

  While trying to backup database after upgrade (after "install.pl --upgrade"
  but before schema upgrade) (seems irrelevant, see additional info), running

  > dbcontrol backup dir

  (dir exists, user oracle have 7 in place of permissions that affects him) script terminates with

  > Can't use string ("/opt/apps/oracle/config/10.2.0/l") as an ARRAY ref while "strict refs" in use at /usr/share/perl5/vendor_perl/Dobby/CLI/BackupCommands.pm line 127.

  and no backup is created.

Version-Release number of selected component (if applicable): spacewalk-dobby-1.7.28-24.el6sat.noarch

How reproducible: always/deterministic


Steps to Reproduce:

  1. # su oracle
  2. $ db-control backup
  
Actual results:

  Script prints
  > Initiating cold backup of database rhnsat...
  > Can't use string ("/opt/apps/oracle/config/10.2.0/l") as an ARRAY ref while "strict refs" in use at /usr/share/perl5/vendor_perl/Dobby/CLI/BackupCommands.pm line 127.
  and terminates (no backup created).

Expected results:

  Backup is created.

Additional info:

  This is also broken on directly installed 550 (so schema upgrade involved).
Comment 5 Matej Kollar 2012-08-24 07:12:35 EDT
I have verified that undesired behavior is gone. I also tried restore and it seems legitimate as well. I haven't been digging very deep though.
Comment 7 Clifford Perry 2012-09-21 05:19:59 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.